<div class="widgets">
  <div
    class="row"
    *ngIf="curcountry != null"
    style="position:relative ;background-color: rgba(50,10,10,0.5);margin: 10px;padding: 10px;border-radius: 1px"
  >
    <button
      type="button"
      style="position: absolute;right: 15px;top:5px;z-index: 99999"
      (click)="close()"
      class="btn btn-default btn-icon"
    >
      <i class="ion-close-round"></i>
    </button>

    <div class="col-md-4">
      <div class="form-group">
        <label for="countryName">Country Name</label>
        <input
          class="form-control"
          [(ngModel)]="curcountry.name"
          id="countryName"
        />
      </div>

      <div class="form-group">
        <button
          class="form-control"
          type="submit"
          (click)="updateInfo()"
          class="btn btn-default btn-with-icon"
        >
          Update
        </button>
      </div>
    </div>

    <div class="col-md-4" style="text-align: center">
      <img src="{{curcountry.image}}" style="height:70px" />
      <div class="form-group">
        <label for="countryImage">Country Image</label>
        <input
          type="file"
          id="countryImage"
          class="form-control"
          value="upload"
          #filebtn
          (change)="updateImage($event)"
        />
      </div>

      <div class="form-group">
        <button
          class="form-control"
          type="submit"
          (click)="updateImage()"
          class="btn btn-default btn-with-icon"
        >
          Update {{ progress }}
        </button>
      </div>
    </div>

    <div class="col-md-4">
      <img src="{{curcountry.cover}}" style="height:70px" />

      <div class="form-group">
        <label for="countryCover">Country Cover</label>
        <input
          type="file"
          id="countryCover"
          class="form-control"
          value="upload"
          #filebtn
          (change)="updateCover($event)"
        />
      </div>

      <div class="form-group">
        <button
          class="form-control"
          type="submit"
          (click)="updateCover()"
          class="btn btn-default btn-with-icon"
        >
          Update
        </button>
      </div>
    </div>

    <div class="col-md-4">
      <div class="form-group">
        <label for="countryRegion">Country Region</label>
        <select class="form-control" [(ngModel)]="curcountry.countryRegion">
          <option id="countryRegion" [ngValue]="0">None</option>
          <option
            *ngFor="let region of (regions | async)"
            id="countryRegion"
            [ngValue]="region.val().name"
            >{{ region.val().name }}</option
          >
        </select>
      </div>

      <div class="form-group">
        <button
          class="form-control"
          type="submit"
          (click)="updateInfo()"
          class="btn btn-default btn-with-icon"
        >
          Update
        </button>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-md-12">
      <input
        class="form-control"
        placeholder="Type country to search"
        [(ngModel)]="searchTerm"
        (input)="search($event)"
      />
      <br />
    </div>

    <div class="col-md-3" *ngFor="let country of countrys">
      <div class="card" style="width: 100%">
        <img
          class="card-img-top"
          style="width:100%"
          src="{{country.val().cover}}"
          alt="Card image cap"
        />
        <div class="card-block">
          <h4 class="card-title">{{ country.val().name }}</h4>
          <p class="card-text">{{ country.val().genre }}</p>
          <hr />
          <p class="card-text">
            {{ country.val().timestamp | date: "medium" }}
          </p>
        </div>
        <div class="card-block">
          <button
            type="button"
            (click)="edit(country)"
            class="btn btn-default btn-with-icon"
          >
            <i class="ion-edit"></i>Edit
          </button>
          <button
            type="button"
            (click)="delete(country.key)"
            class="btn btn-primary btn-with-icon"
          >
            <i class="ion-android-delete"></i>Delete
          </button>
        </div>
      </div>
    </div>
  </div>
</div>
